<?php

require_once("Benchmark/Timer.php");  // from PEAR package
$timer = new Benchmark_Timer(0);
$timer->start();

$mapFile = "test.map";
$map = ms_newMapObj($mapFile);
$map->setProjection("init=epsg:900913");


$ln = "cities10000eu";
$qLayer = $map->getLayerByName($ln);
$qLayer->set("status", MS_ON);

        
$msVersion = ms_GetVersionInt();
$inProjObj = ms_newprojectionobj("init=epsg:4326");
$outProjObj = ms_newprojectionobj("init=epsg:900913");

$qRect = ms_newRectObj();
$qRect->setExtent(747655.72875, 5861190.1137939, 1510803.019043, 6575417.7059912); 

$query = $qLayer->queryByRect($qRect);
$qLayer->open();
$numResults = $qLayer->getNumResults();
print("numResults: $numResults\n");


for ($iRes=0; $iRes < $numResults; $iRes++) {
    $qRes = $qLayer->getResult($iRes);
    
    if ($msVersion >= 60000) {
        $qShape = $qLayer->getShape($qRes);
    } else {
        $qShape = $qLayer->getShape($qRes->tileindex,$qRes->shapeindex);
    }

    $bounds = $qShape->bounds;

    $bounds->project($inProjObj, $outProjObj);   // if line commented out MS 6 is also fast
    
    #$shpBbox = array($bounds->minx, $bounds->miny, $bounds->maxx, $bounds->maxy);
    #print_r($shpBbox);
}
$qLayer->close();
    


$outProjObj = ms_newprojectionobj("init=epsg:4326");
$inProjObj = ms_newprojectionobj("init=epsg:900913");

$oRect = ms_newRectObj();
$oRect->setExtent(747655.72875, 5861190.1137939, 747655.72875, 5861190.1137939); 
$oRect->project($inProjObj, $outProjObj);
  

$timer->stop();
$timer->display();

?>